unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls, ToolWin, OmegaImageList;

type
  TForm1 = class(TForm)
    StatusBar1: TStatusBar;
    OmegaImageList1: TOmegaImageList;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ComboBox1: TComboBox;
    ToolButton2: TToolButton;
    Label1: TLabel;
    ToolButton3: TToolButton;
    ScrollBox1: TScrollBox;
    Image1: TImage;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    ProgressBar1: TProgressBar;
    procedure ToolButton1Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
implementation

{$R *.DFM}

procedure TForm1.ToolButton1Click(Sender: TObject);
var
 tempOmegaImageList:TOmegaImageList;
 picture:TPicture;
 i:integer;
begin
 OpenDialog1.InitialDir:=ExtractFilePath(ParamStr(0));
 if OpenDialog1.Execute then begin
   tempOmegaImageList:=TOmegaImageList.Create(nil);
   tempOmegaImageList.ImageList.LoadFromFile(OpenDialog1.FileName);
   ProgressBAr1.Visible:=true;
   ProgressBar1.Position:=0;
   picture:=tpicture.Create;
   for i:=0 to tempOmegaImageList.ImageList.Count-1 do begin
     picture.Assign(tempOmegaImageList.ImageList.Items[i].Picture);

     OmegaImageList1.ImageList.Add;
     OmegaImageList1.ImageList.Items[OmegaImageList1.ImageList.Count-1].SetPicture(picture);
     OmegaImageList1.ImageList.Items[OmegaImageList1.ImageList.Count-1].Name:=tempOmegaImageList.ImageList.Items[i].Name;
     OmegaImageList1.ImageList.items[OmegaImageList1.Imagelist.count-1].DisplayName :=tempOmegaImageList.ImageList.Items[i].DisplayNAme;
     OmegaImageList1.ImageList.Items[OmegaImageList1.ImageList.Count-1].Picture.Assign(picture);
     OmegaImageList1.ImageList.Items[OmegaImageList1.ImageList.Count-1].TileWidth:=tempOmegaImageList.ImageList.Items[i].TileWidth;
     OmegaImageList1.ImageList.Items[OmegaImageList1.ImageList.Count-1].TileHeight:=tempOmegaImageList.ImageList.Items[i].TileHeight;
     OmegaImageList1.ImageList.Items[OmegaImageList1.ImageList.Count-1].Transparent:=tempOmegaImageList.ImageList.Items[i].Transparent;
     OmegaImageList1.ImageList.Items[OmegaImageList1.ImageList.Count-1].TransparentColor:=tempOmegaImageList.ImageList.Items[i].TransparentColor;
     //TA LINIA JEST BARDZO WANA GDY CHCEMY WYWIETLI DANY ZASB W RZECZYWISTEJ GRZE
     //TU JEJ NIE UYWAM BO NIE MA UYTEGO OMEGATIMER
     //OmegaImageList1.ImageList.Items[OmegaImageList1.ImageList.Count-1].Init;
     //
     ComboBox1.Items.Add(tempOmegaImageList.ImageList.Items[i].Name);
     ProgressBar1.StepIt;
   end;//koniec for
   ProgressBar1.Visible:=false;
   picture.free;
   tempOmegaImageList.Free;
   StatusBar1.Panels[3].Text :='Ilo plikw: '+inttostr(ComboBox1.Items.Count);
 end;
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
    image1.Width  := OmegaImageList1.ImageList.items[ComboBox1.ItemIndex].Picture.width ;
    image1.height := OmegaImageList1.Imagelist.items[ComboBox1.ItemIndex].picture.height;
    image1.Picture.Assign(OmegaImageList1.Imagelist.items[ComboBox1.ItemIndex].picture);
    image1.Repaint;
    StatusBar1.Panels[0].Text :='Width :'+Inttostr(OmegaImageList1.ImageList.Items[ComboBox1.ItemIndex].ImageWidth)
                             +' Height :'+Inttostr(OmegaImageList1.ImageList.Items[ComboBox1.ItemIndex].ImageHeight);
    StatusBar1.Panels[1].Text :='TileWidth :'+Inttostr(OmegaImageList1.ImageList.Items[ComboBox1.ItemIndex].TileWidth)
                             +' TileHeight :'+Inttostr(OmegaImageList1.ImageList.Items[ComboBox1.ItemIndex].TileHeight);
    if OmegaImageList1.ImageList.Items[ComboBox1.ItemIndex].transparent then
       StatusBar1.Panels[2].Text :='Transparent : TRUE; Kolor: '+INTTOSTR(OmegaImageList1.ImageList.Items[ComboBox1.ItemIndex].TransparentColor)
    else
       StatusBar1.Panels[2].Text :='Transparent : FALSE'
end;

procedure TForm1.ToolButton3Click(Sender: TObject);
begin
 SaveDialog1.InitialDir:=ExtractFilePath(ParamStr(0));
 if SaveDialog1.Execute then OmegaImageList1.ImageList.SaveToFile(SaveDialog1.FileName)
end;

end.
